(a) Let $f$ and $g$ be functions. Then the chain rule states that if we construct the function $f(g(x))$, its derivative is
\begin{equation*}
  \frac{\der f}{\der x} = \frac{\der f}{\der g} \cdot \frac{\der g}{\der x} \qquad .
\end{equation*}
On the right-hand side, the units of $\der g$ on the top cancel with the units of
$\der g$ on the bottom, so the units do match up with those of $\der f/\der x$ on the left.\\
(b) The cosine function requires a unitless input and produces a unitless output. Therefore
$A$ must have units of meters, and $b$ must have units of $\sunit^{-1}$ (inverse seconds, or ``per second'').
$A$ is the distance the object moves on either side of the origin, and $b$ is a measure of how fast it vibrates
back and forth (how many radians it passes through per second).\\
(b) The derivative is $v=\der x/\der t=-Ab\sin(bt)$, where the factor of $b$ in front comes
from the chain rule. The product $Ab$ does have units of m/s. If we hadn't put in the factor
of $b$ as required by the chain rule, the units would have been wrong. Physically, it also makes sense
that a larger $b$, indicating a more rapid vibration, produces a greater $v$.



